> For the complete documentation index, see [llms.txt](https://docs.panther.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.panther.com/search/data-explorer/example-queries/github-audit-logs-queries.md).

# GitHub Audit logs queries

Sometimes GitHub contributors bypass branch protection. The GitHub audit logs report that branch protection was bypassed, but do not provide explicit information about what activities took place when bypassing.

This query looks for a user's events in the GitHub audit log that are temporally related to the branch protection bypass events.

```sql
WITH rows_i_care_about AS (
SELECT
  actor, repo, at_sign_timestamp as ts, md5(p_row_id) as event_id
FROM panther_logs.public.github_audit
WHERE action like '%override%' 
   AND p_occurs_since('3 week') 
) 
-- collect all the rows AROUND the rows above in time
SELECT
  b.event_id, a.* 
FROM panther_logs.public.github_audit a 
JOIN rows_i_care_about b
    WHERE ( 
    a.actor = b.actor 
    AND 
    a.repo = b.repo
    AND 
    a.at_sign_timestamp > DATEADD(MINUTE, -5, b.ts)
    AND 
    a.at_sign_timestamp < DATEADD(MINUTE, 2, b.ts)
    AND
    p_occurs_since('3 week', a)
  )
 ORDER BY event_id, at_sign_timestamp ASC
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.panther.com/search/data-explorer/example-queries/github-audit-logs-queries.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
